diff options
author | Viktor Szakats <commit@vszakats.net> | 2019-04-29 21:34:04 (GMT) |
---|---|---|
committer | Tony Theodore <tonyt@logyst.com> | 2019-05-02 03:34:07 (GMT) |
commit | 42cf496ae2310a30c2f9f5059af471caf2d3ada9 (patch) | |
tree | 178c600d65f208ccb3f572fc70b21c5d56433ab2 /tools | |
parent | 551966ffeb1022e6b0a236ba575fb0d5c1841123 (diff) | |
download | mxe-42cf496ae2310a30c2f9f5059af471caf2d3ada9.zip mxe-42cf496ae2310a30c2f9f5059af471caf2d3ada9.tar.gz mxe-42cf496ae2310a30c2f9f5059af471caf2d3ada9.tar.bz2 |
secure URLs
also apply minor updates to tools/mxe-get
Diffstat (limited to 'tools')
-rwxr-xr-x | tools/build-pkg.lua | 2 | ||||
-rwxr-xr-x | tools/make-shared-from-static | 2 | ||||
-rwxr-xr-x | tools/mxe-get | 24 |
3 files changed, 17 insertions, 11 deletions
diff --git a/tools/build-pkg.lua b/tools/build-pkg.lua index cc0e46b..ed1b15a 100755 --- a/tools/build-pkg.lua +++ b/tools/build-pkg.lua @@ -4,7 +4,7 @@ This file is part of MXE. See LICENSE.md for licensing information. build-pkg, Build binary packages from MXE packages -Instructions: http://pkg.mxe.cc +Instructions: https://pkg.mxe.cc/ Requirements (see bootstrapped build below for non-debian systems): MXE (https://mxe.cc/#requirements-debian) diff --git a/tools/make-shared-from-static b/tools/make-shared-from-static index df18ead..90926df 100755 --- a/tools/make-shared-from-static +++ b/tools/make-shared-from-static @@ -1,7 +1,7 @@ #!/usr/bin/env bash # Taken from: -# http://hg.octave.org/mxe-octave/file/tip/tools/make-shared-from-static +# https://hg.octave.org/mxe-octave/file/tip/tools/make-shared-from-static set -e diff --git a/tools/mxe-get b/tools/mxe-get index 6f5a764..b9feec3 100755 --- a/tools/mxe-get +++ b/tools/mxe-get @@ -1,6 +1,6 @@ #!/usr/bin/env bash -# Copyright 2017 Viktor Szakats <https://vszakats.net/> +# Copyright 2017-2019 Viktor Szakats <https://vszakats.net/> # This file is part of MXE. See LICENSE.md for licensing information. set -ue @@ -27,12 +27,12 @@ Author: Viktor Szakats <https://vszakats.net/>" } mxe_curl() { - curl -fsS --connect-timeout 15 --retry 3 "$@" + curl -fsS --connect-timeout 15 -m 20 --retry 3 "$@" } mxe_get_pkg() { - if [[ "$1" =~ ^(mxe-(i686|x86\-64)-(w64|unknown)-(mingw32|linux-gnu)(\.shared|\.static)?)-(.*)$ ]]; then + if [[ "$1" =~ ^(mxe-(i686|x86-64)-(w64|unknown)-(mingw32|linux-gnu)(.shared|.static)?)-(.*)$ ]]; then repo="${BASH_REMATCH[1]}" # mxe-x86-64-w64-mingw32.shared plat="${BASH_REMATCH[4]}" # mingw32 | linux-gnu @@ -81,7 +81,7 @@ mxe_get_pkg() { rm -f pack.bin for i in ${deps//,/}; do - mxe_get_pkg "$i" # recurse + mxe_get_pkg "${i}" # recurse done else echo "! Error: Download failed." @@ -108,18 +108,21 @@ mkdir -p "${MXE_HOME}" ( cd "${MXE_HOME}" || exit - base='http://pkg.mxe.cc/repos/apt/debian' # APT root + base='https://pkg.mxe.cc/repos/apt/debian' # APT root suid='D43A795B73B16ABE9643FE1AFD8FFF16DB45C6AB' # Signer UID - alias gpg='gpg --batch --keyserver-options timeout=15 --keyid-format LONG' + alias gpg='gpg --batch --keyid-format LONG' echo "! Downloading and verifying MXE package list..." mxe_curl \ -O "${base}/dists/wheezy/Release.gpg" \ -O "${base}/dists/wheezy/Release" - mxe_curl \ - "https://keyserver.ubuntu.com/pks/lookup?search=0x${suid}&op=get" \ - | gpg --import --status-fd 1 + ( + set -x + mxe_curl \ + "https://keyserver.ubuntu.com/pks/lookup?search=0x${suid}&op=get" \ + | gpg --import --status-fd 1 + ) gpg --verify-options show-primary-uid-only --verify Release.gpg Release || exit 1 mxe_curl \ -O "${base}/dists/wheezy/main/binary-amd64/Packages.gz" @@ -151,6 +154,9 @@ mkdir -p "${MXE_HOME}" -name '*.la' -o \ -name '*.pc' -o \ -name '*.cmake' -o \ + -name '*.prf' -o \ + -name '*.pri' -o \ + -name '*.prl' -o \ -name '*-config' | while IFS= read -r f; do sed "s|${ori}|${pwd}|" \ |